using Prism.Commands;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Input;
using Prism.Navigation;

namespace Payesh.App.ViewModels.Pages
{
    public class FactoriesMonitorPageViewModel : ViewModelBase
    {
        public ICommand SelectFactoryCommand { get; set; }
        public FactoriesMonitorPageViewModel(INavigationService navigationService):base(navigationService)
        {

        }

        public override void InitializeCommand()
        {
            base.InitializeCommand();
            SelectFactoryCommand = new DelegateCommand(async () => await NavigationService.NavigateAsync("FactoryMonitorPage"));
        }
    }
}
